---------
function LTC:LoadData()

	LTC_flags = {
		-- The Jade Forest
		[806] = {
			[31402] = { ["name"] = "Ancient Jinyu Staff", 						["itemID"] = 86196 },
			[31399] = { ["name"] = "Ancient Pandaren Mining Pick", 				["itemID"] = 85777 },
			[31400] = { ["name"] = "Ancient Pandaren Tea Pot", 					["itemID"] = 85780 },
			[31403] = { ["name"] = "Hammer of Ten Thunders", 					["itemID"] = 86198 },
			[31307] = { ["name"] = "Jade Infused Blade", 						["itemID"] = 86199 },
			[31401] = { ["name"] = "Lucky Pandaren Coin",						["itemID"] = 85781 },
			[31865] = { ["name"] = "Offering of Rememberance",					["itemID"] = nil   },
			[31404] = { ["name"] = "Pandaren Ritual Stone",						["itemID"] = 86216 },
			[31396] = { ["name"] = "Ship's Locker",								["itemID"] = nil   },
			[31866] = { ["name"] = "Stash of Gems",								["itemID"] = nil   },
			[31397] = { ["name"] = "Wodin's Mantid Shanker", 					["itemID"] = 85776 }
		},

		-- Valley of the Four Winds
		[807] = {
			[31284] = { ["name"] = "Ancient Pandaren Fishing Charm", 			["itemID"] = 85973 },
			[31292] = { ["name"] = "Ancient Pandaren Woodcutter",				["itemID"] = 86079 },
			[31869] = { ["name"] = "Boat-Building Instructions",				["itemID"] = nil   },
			[31406] = { ["name"] = "Cache of Pilfered Goods",					["itemID"] = nil   },
			[31407] = { ["name"] = "Staff of the Hidden Master",				["itemID"] = 86218 },
			[31405] = { ["name"] = "Virmen Treasure Cache",						["itemID"] = nil   }
		},

		-- Krasarang Wilds
		[857] = {
			[31410] = { ["name"] = "Equipment Locker",							["itemID"] = nil   },
			[31409] = { ["name"] = "Pandaren Fishing Spear",					["itemID"] = 86124 },
			[31411] = { ["name"] = "Recipe: Banana Infused Rum",				["itemID"] = 87266 },
			[31408] = { ["name"] = "Saurok Stone Tablet",						["itemID"] = 86220 },
			[31863] = { ["name"] = "Stack of Papers",							["itemID"] = 87798 }
		},

		-- The Veiled Stair
		[873] = {
			[31867] = { ["name"] = "Forgotten Lockbox",							["itemID"] = nil   },
			[31428] = { ["name"] = "Hammer of Folly",							["itemID"] = 86473 }
		},

		-- Kun-Lai Summit
		[809] = {
			[31420] = { ["name"] = "Ancient Mogu Tablet",						["itemID"] = 86471 },
			[31414] = { ["name"] = "Hozen Treasure Cache",						["itemID"] = nil   },
			[31413] = { ["name"] = "Hozen Warrior Spear",						["itemID"] = 86394 },
			[31304] = { ["name"] = "Kafa Press",								["itemID"] = 86125 },
			[31418] = { ["name"] = "Lost Adventurer's Belongings",				["itemID"] = nil   },
			[31868] = { ["name"] = "Mo-Mo's Treasure Chest",					["itemID"] = nil   },
			[31419] = { ["name"] = "Rikktik's Tick Remover",					["itemID"] = 86430 },
			[31412] = { ["name"] = "Sprite's Cloth Chest",						["itemID"] = nil   },
			[31416] = { ["name"] = "Statue of Xuen",							["itemID"] = 86422 },
			[31415] = { ["name"] = "Stolen Sprite Treasure",					["itemID"] = nil   },
			[31421] = { ["name"] = "Sturdy Yaungol Spear",						["itemID"] = 88723 },
			[31417] = { ["name"] = "Tablet of Ren Yun",							["itemID"] = 86393 },
			[31422] = { ["name"] = "Terracotta Head", 							["itemID"] = 86427 }
		},

		-- Townlong Steppes
		[810] = {
			[31427] = { ["name"] = "Abandoned Crate of Goods",					["itemID"] = nil   },
			[31426] = { ["name"] = "Amber Encased Moth",						["itemID"] = 86472 },
			[31423] = { ["name"] = "Fragment of Dread",							["itemID"] = 86516 },
			[31424] = { ["name"] = "Hardened Sap of Kri'vess",					["itemID"] = 86517 },
			[31425] = { ["name"] = "Yaungol Fire Carrier",						["itemID"] = 86518 },
		},

		-- Dread Wastes
		[858] = {
			[31438] = { ["name"] = "Blade of the Poisoned Mind",				["itemID"] = 86527 },
			[31433] = { ["name"] = "Blade of the Prime",						["itemID"] = 86522 },
			[31436] = { ["name"] = "Bloodsoaked Chitin Fragment",				["itemID"] = 86525 },
			[31864] = { ["name"] = "Chest of Supplies",							["itemID"] = nil   },
			[31435] = { ["name"] = "Dissector's Staff of Mutation",				["itemID"] = 86524 },
			[31431] = { ["name"] = "Lucid Amulet of the Agile Mind",			["itemID"] = 86521 },
			[31430] = { ["name"] = "Malik's Stalwart Spear",					["itemID"] = 86520 },
			[31432] = { ["name"] = "Manipulator's Talisman",					["itemID"] = 86529 },
			[31437] = { ["name"] = "Swarmkeeper's Medallion",					["itemID"] = 86526 },
			[31434] = { ["name"] = "Swarming Cleaver of Ka'roz",				["itemID"] = 86523 },
			[31429] = { ["name"] = "Wind-Reaver's Dagger of Quick Strikes",		["itemID"] = 86519 }
		},
		
		-- Timeless Isle
		[951] = {
			[33170] = { ["name"] = "Moss Covered Chest 01", 	["x"] = 36.7, ["y"] = 34.1,		["note"] = "Three-Breeze Terrace",												["itemID"] = nil   },
			[33171] = { ["name"] = "Moss Covered Chest 02", 	["x"] = 25.5, ["y"] = 27.2,		["note"] = "Misty Strand",														["itemID"] = nil   },
			[33172] = { ["name"] = "Moss Covered Chest 03", 	["x"] = 27.4, ["y"] = 39.1,		["note"] = "South of Misty Strand",												["itemID"] = nil   },
			[33173] = { ["name"] = "Moss Covered Chest 04", 	["x"] = 30.7, ["y"] = 36.5,		["note"] = "On a stump, Southwest of Three-Breeze Terrace",						["itemID"] = nil   },
			[33174] = { ["name"] = "Moss Covered Chest 05", 	["x"] = 22.4, ["y"] = 35.4,		["note"] = "Underwater North of Horde base",									["itemID"] = nil   },
			[33175] = { ["name"] = "Moss Covered Chest 06", 	["x"] = 22.1, ["y"] = 49.3,		["note"] = "South of Horde base",												["itemID"] = nil   },
			[33176] = { ["name"] = "Moss Covered Chest 07", 	["x"] = 24.8, ["y"] = 53.0,		["note"] = "Southeast of Horde base" ,											["itemID"] = nil   },
			[33177] = { ["name"] = "Moss Covered Chest 08", 	["x"] = 25.7, ["y"] = 45.8,		["note"] = "Southeast of Horde base",											["itemID"] = nil   },
			[33178] = { ["name"] = "Moss Covered Chest 09", 	["x"] = 22.3, ["y"] = 68.1,		["note"] = "North of Alliance base",											["itemID"] = nil   },
			[33179] = { ["name"] = "Moss Covered Chest 10",		["x"] = 26.8, ["y"] = 68.7,		["note"] = "Northeast of Alliance base",										["itemID"] = nil   },
			[33180] = { ["name"] = "Moss Covered Chest 11",		["x"] = 31.0, ["y"] = 76.3,		["note"] = "In a bush between Alliance base and Old Pi'jiu",					["itemID"] = nil   },
			[33181] = { ["name"] = "Moss Covered Chest 12",		["x"] = 35.3, ["y"] = 76.4,		["note"] = "Inside Western Building of Old Pi'jiu",								["itemID"] = nil   },
			[33182] = { ["name"] = "Moss Covered Chest 13",		["x"] = 38.7, ["y"] = 71.6,		["note"] = "Inside Northern Building of Old Pi'jiu",							["itemID"] = nil   },
			[33183] = { ["name"] = "Moss Covered Chest 14",		["x"] = 39.8, ["y"] = 79.5,		["note"] = "Inside Eastern Building of Old Pi'jiu",								["itemID"] = nil   },
			[33184] = { ["name"] = "Moss Covered Chest 15",		["x"] = 34.8, ["y"] = 84.2,		["note"] = "In the basement of Old Pi'jiu's Jetty",								["itemID"] = nil   },
			[33185] = { ["name"] = "Moss Covered Chest 16",		["x"] = 43.6, ["y"] = 84.1,		["note"] = "In a bush Southeast of Old Pi'jiu",									["itemID"] = nil   },
			[33186] = { ["name"] = "Moss Covered Chest 17", 	["x"] = 47.0, ["y"] = 53.7, 	["note"] = "Bottom of the central lake",										["itemID"] = nil   },
			[33187] = { ["name"] = "Moss Covered Chest 18",		["x"] = 46.7, ["y"] = 46.7,		["note"] = "North of the central lake",											["itemID"] = nil   },
			[33188] = { ["name"] = "Moss Covered Chest 19",		["x"] = 51.2, ["y"] = 45.7,		["note"] = "Under the broken bridge in the Slump Scraps",						["itemID"] = nil   },
			[33189] = { ["name"] = "Moss Covered Chest 20", 	["x"] = 55.5, ["y"] = 44.3,		["note"] = "Next to Tsavo'ka's Cave",											["itemID"] = nil   },
			[33190] = { ["name"] = "Moss Covered Chest 21",		["x"] = 58.0, ["y"] = 50.7,		["note"] = "Next to the Mysterious Cave",										["itemID"] = nil   },
			[33191] = { ["name"] = "Moss Covered Chest 22",		["x"] = 65.7, ["y"] = 47.8,		["note"] = "Behind the graveyard",												["itemID"] = nil   },
			[33192] = { ["name"] = "Moss Covered Chest 23", 	["x"] = 63.8, ["y"] = 59.2,		["note"] = "South of the graveyard",											["itemID"] = nil   },
			[33193] = { ["name"] = "Moss Covered Chest 24",		["x"] = 64.9, ["y"] = 75.6,		["note"] = "In the Croaking Hollow",											["itemID"] = nil   },
			[33194] = { ["name"] = "Moss Covered Chest 25",		["x"] = 60.2, ["y"] = 66.0,		["note"] = "Southwest of the graveyard",										["itemID"] = nil   },
			[33195] = { ["name"] = "Moss Covered Chest 26",		["x"] = 49.7, ["y"] = 65.7,		["note"] = "South of the central lake",											["itemID"] = nil   },
			[33196] = { ["name"] = "Moss Covered Chest 27",		["x"] = 53.1, ["y"] = 70.8,		["note"] = "Southeast of the central lake",										["itemID"] = nil   },
			[33197] = { ["name"] = "Moss Covered Chest 28",		["x"] = 52.7, ["y"] = 62.7,		["note"] = "Southeast of the central lake",										["itemID"] = nil   },
			[33227] = { ["name"] = "Moss Covered Chest 29",		["x"] = 61.7, ["y"] = 88.5,		["note"] = "In the shipwreck",													["itemID"] = nil   },
			[33198] = { ["name"] = "Moss Covered Chest 30",		["x"] = 44.2, ["y"] = 65.3,		["note"] = "On a stump southeast of the Celestial Court",						["itemID"] = nil   },
			[33199] = { ["name"] = "Moss Covered Chest 31",		["x"] = 26.0, ["y"] = 61.4,		["note"] = "North of the Alliance base",										["itemID"] = nil   },
			[33200] = { ["name"] = "Moss Covered Chest 32",		["x"] = 24.6, ["y"] = 38.5,		["note"] = "North of the Horde base",											["itemID"] = nil   },
			[33202] = { ["name"] = "Moss Covered Chest 33",		["x"] = 29.7, ["y"] = 31.8,		["note"] = "On the ramp at the Southeastern corner of the Misty Strand",		["itemID"] = nil   },
			[33201] = { ["name"] = "Moss Covered Chest 34",		["x"] = 59.9, ["y"] = 31.3,		["note"] = "Next to a tree at the Ordon Sanctuary Graveyard",					["itemID"] = nil   },
			
			[33203] = { ["name"] = "Skull-Covered Chest", 		["x"] = 46.7, ["y"] = 32.3,		["note"] = "Inside the Cavern of Lost Spirits",									["itemID"] = nil   },
			[33205] = { ["name"] = "Sturdy Chest",				["x"] = 28.2, ["y"] = 35.2, 	["note"] = "Take the Albatross taxi to the pillar North of the Horde base",		["itemID"] = nil	},
			[33204] = { ["name"] = "Sturdy Chest",				["x"] = 26.8, ["y"] = 64.9,		["note"] = "Take the Albatross taxi to the pillar North of the Alliance base", 	["itemID"] = nil   },
			[33206] = { ["name"] = "Sturdy Chest",				["x"] = 64.6, ["y"] = 70.4,		["note"] = "In the Croaking Hollow",											["itemID"] = nil   },
			[33207] = { ["name"] = "Sturdy Chest",				["x"] = 59.2, ["y"] = 49.5,		["note"] = "Inside the Mysterious Den", 										["itemID"] = nil   },
			[33208] = { ["name"] = "Smouldering Chest 01",		["x"] = 69.5, ["y"] = 32.9,		["note"] = "Shrine of the Black Flame",											["itemID"] = nil   },
			[33209] = { ["name"] = "Smouldering Chest 02",		["x"] = 54.0, ["y"] = 78.2,		["note"] = "Firewalker Ruins",													["itemID"] = nil   },
			[33210] = { ["name"] = "Blazing Chest",				["x"] = 47.6, ["y"] = 27.6,		["note"] = "Western court of the Ordon Sanctuary",								["itemID"] = nil   }
		
		}
	}
	
	LTC_items = {};

	LTC_location_order = {806,807,857,873,809,810,858, 951};

	LTC_total = LTC:CountFlags();
end